# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section non-free

%define priority 15020
%define javaver 1.5.0
%define origin ibm

Name: java-%{javaver}-%{origin}-jce-policy
Epoch: 0
Version: %{javaver}
Release: 1jpp
Summary: JCE unlimited strength jurisdiction policy files

Group: Security/Cryptography
License: Non-distributable, restricted use
URL: https://www6.software.ibm.com/dl/jcesdk/jcesdk-p
# This is a little counter-intuitive, but IBM is using the same files for
# 1.4.2 and 5.0
Source0: unrestrict142.zip
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

BuildRequires: jpackage-utils >= 0:1.5.26
Requires: java-%{javaver}-%{origin} >= 0:1.5.0

%description
Due to import control restrictions, the version of JCE policy files that
are bundled in the J2SDK, v5.0 environment allow "strong" but
limited cryptography to be used. This download bundle (the one including
this README file) provides "unlimited strength" policy files which
contain no restrictions on cryptographic strengths.

%prep
%setup -q -c -n %{name}

%build
# None.

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -d -m 0755 \
    ${RPM_BUILD_ROOT}%{_jvmprivdir}/java-%{javaver}-%{origin}/jce/unlimited
%{__install} -p -m 0644 local_policy.jar US_export_policy.jar \
    ${RPM_BUILD_ROOT}%{_jvmprivdir}/java-%{javaver}-%{origin}/jce/unlimited

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
update-alternatives \
  --install \
    %{_jvmdir}/jre-%{javaver}-%{origin}/lib/security/local_policy.jar \
    jce_%{javaver}_%{origin}_local_policy \
    %{_jvmprivdir}/java-%{javaver}-%{origin}/jce/unlimited/local_policy.jar \
    %{priority} \
  --slave \
    %{_jvmdir}/jre-%{javaver}-%{origin}/lib/security/US_export_policy.jar \
    jce_%{javaver}_%{origin}_us_export_policy \
    %{_jvmprivdir}/java-%{javaver}-%{origin}/jce/unlimited/US_export_policy.jar

%preun
if [ "$1" -eq 0 ]; then
  update-alternatives \
    --remove \
      jce_%{javaver}_%{origin}_local_policy \
      %{_jvmprivdir}/java-%{javaver}-%{origin}/jce/unlimited/local_policy.jar
fi

%files
%defattr(-,root,root,-)
%{_jvmprivdir}*

%changelog
* Tue Jun 12 2007 Jason Corley <jason.corley@gmail.com> 0:1.5.0-1jpp
- first build, based in part on java-1.5.0-sun-jce-policy (changelog from that
  package included for completeness)

* Mon Oct  4 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.5.0-1jpp
- Update to 1.5.0, thanks to Carwyn Edwards.
- Fix Java version in description.
- Fix alternative priority (15000 -> 15030, where "3" is Sun).

* Fri Oct 1 2004 Carwyn Edwards <carwyn@carwyn.com> 0:1.5.0-0.cte.1
- Modified release version to use fedora.us style 0. so jpp packages
  will override mine.

* Thu Sep 30 2004 Carwyn Edwards <carwyn@carwyn.com> 0:1.5.0-1jpp
- Updated to 1.5.0 final.

* Thu Sep 02 2004 Carwyn Edwards <carwyn@carwyn.com> 0:1.5.0-0.rc.1jpp
- Update to J2SE 1.5.0 rc.

* Mon Jul 26 2004 Carwyn Edwards <carwyn@carwyn.com> 0:1.5.0-0.beta2.1jpp
- Update to J2SE 1.5.0 Beta 2.

* Mon Feb 09 2004 David Walluck <david@anti-microsoft.org> 0:1.5.0-0.beta1.1jpp
- J2SE 1.5.0 Beta 1

* Sun Sep  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.2-2jpp
- Fix JCE US export policy alternative link name.

* Sat Aug 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.2-1jpp
- First build.

